## NAME

r.semantic.label - Manages semantic label information assigned to a single raster map or to a list of raster maps.

## KEYWORDS

general, imagery, semantic label, image collections

## SYNOPSIS

r.semantic.label
r.semantic.label --help
r.semantic.label map=name[,name,...] [semantic_label=name[,name,...]] operation=string [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name[,name,...] [required]
  Name of raster map(s)
semantic_label=name[,name,...]
  Name of semantic label identifier (example: S2_1)
operation=string [required]
  Operation to be performed
  Options: add, remove, print
  Default: add

## DESCRIPTION

r.semantic.label allows assigning a semantic label information to a single raster map or to a list of specified raster maps. Semantic label can be defined by semantic_label option. Already assigned semantic label can be removed from a specified raster map by operation=remove. The module also allows printing detailed semantic label information already assigned to a raster map by operation=print.

Either a single raster map or a list of raster maps can be given by map option.

## NOTES

Note that only raster maps from the current mapsets can be modified.

For more information about semantic label concept and supported sensors (generic multispectral system, Landsat-5, Landsat-7, Landsat-8, Sentinel-2) see the i.band.library module.

Semantic labels are supported by temporal GRASS modules. Name of STRDS can be extended by band identifier in order to filter the result by a semantic label. See t.register, t.rast.list, t.info and t.rast.mapcalc modules for examples.

## EXAMPLES

### Assign semantic label to a single raster map

    r.semantic.label map=T33UVR_20180506T100031_B01 semantic_label=S2_1

### Assign semantic label to a list of raster maps

    r.semantic.label map=T33UVR_20180506T100031_B01,T33UVR_20180521T100029_B01 semantic_label=S2_1,S2_1

### Assign different semantic labels to a list of raster maps

    r.semantic.label map=T33UVR_20180506T100031_B01,T33UVR_20180506T100031_B02 semantic_label=S2_1,S2_2

### Remove semantic label from a list of raster maps

    r.semantic.label map=T33UVR_20180506T100031_B01,T33UVR_20180506T100031_B02 operation=remove

### Print semantic label information about single raster map

    r.semantic.label map=T33UVR_20180506T100031_B01 operation=print

### Print extended semantic label information for a list of raster map

    r.semantic.label map=T33UVR_20180506T100031_B01,T33UVR_20180506T100031_B02 operation=print

## KNOWN ISSUES

r.semantic.label allows managing semantic labels only related to 2D raster maps.

## SEE ALSO

i.band.library, r.info, r.support

## AUTHORS

Martin Landa
Development sponsored by mundialis GmbH & Co. KG (for the openEO EU H2020 grant 776242)

## SOURCE CODE

Available at: r.semantic.label source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual